TAAS - Feature #218

Paid Cheque Query
06/27/2023 08:54 PM - Junaid M

Status: Reopen Bugs Testing Done Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Paid Cheque Query

Description

Coding Paid Cheque Query

History

#1 - 07/11/2024 06:00 PM - Anil KV
GUI Change:-

-> Remove General Tab, Move General Tab Table to Document Tab lst widget
—> Cheque No - mandatory - need red star

—> Paid Cheque Search GUI popup like Paid Cheque Return - All status need
-> Remove drop down widget after cheque no

#2 - 07/11/2024 06:00 PM - Anil KV
Work Flow:-

—-> Select a Cheque from Search popup then ID based get
— Cheque no direct enter in inputbox then data get based on Cheque no (Some cheque no more than one then get la
st cheque based on cheque date)

#3 - 07/11/2024 06:16 PM - Anil KV

General Tab:-

Cheque Number Current Status

Cheque Date Issued Bank

Cheque Book Number Cheque On Name

Currency Cleared Date

Amount Reconciliation Number
FOP Account Direct Deposit[Yes or No]

Expected Cleared Date

Root Document Root Document Date

Party Branch

Sub Customer Cash Counter

Root Cheque Status Created By [with Created Date & Time]
Remark

SQL

— Document Tab Result -> sin_cheque_action_level == 0 record only

#4 - 07/11/2024 06:36 PM - Anil KV

Document Tab
Table Columns
Document No
Date

Action

Cheque Status
Amount ([Base Currency Codel)
Party
Reference
Narration
Created By
Modified By
[Edit Icon]

SQL

SELECT

paidcheque.tbl_paid_cheque_details
LEFT JOIN paidcheque.tbl_paid_cheque
LEFT JOIN paidcheque.tbl_cheque_leaf
LEFT JOIN document.tbl_documents

WHERE int_sys_action_id > 0
AND [pk_paid_cheque_id == ? or vhr_cheque_no == ?]

ORDER BY pk_paid_cheque_details_id

#5 - 07/11/2024 07:02 PM - Anil KV

Log
GUI

#

Document No

Date

Cheque No

Cheque Date

Issued Bank

Currency

Amount

ROE

Amount In ([Basel Currency code])
Cheque Status

Cheque Name

Action [Create, Modified, Deleted]
Action User

SQL

#6 - 07/12/2024 10:22 AM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#7 - 07/12/2024 11:21 AM - Junaid M

- Assignee changed from travvise Admin to Bertin Joseph

#8 - 07/12/2024 03:46 PM - Bertin Joseph
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#9 - 08/01/2024 02:35 PM - Bertin Joseph
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#10 - 08/02/2024 03:17 PM - Arathy PS
- Status changed from Coding Done to Testing Started

ISSUE FOUNDED:

1)FIXED - FIX THE ISSUE WITH LOG TAB

2)FIXED - REFRESH THE DATA ON CLICKING THE NEW BUTTON
3)FIXED - CLEAR THE POP UP SEARCH FIELD UPON CLOSING IT

#11 - 08/10/2024 12:02 PM - Arathy PS

- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Arathy PS

ISSUE FOUNDED

1)FIXED - ADJUST THE ALIGNMENT OF LOG DETAILS IN LOG TAB

2)FIXED - MAKE THE TITLES OF LOG DETAILS BOLD IN THE PRINT

3)FIXED - ADJUST THE SPACING OF TITLES IN PRINT

4)FIXED - REMOVE THE EXTRA TABLE TITLES APPEARING ON THE PRINT
5)FIXED - CHANGE DOCUMENT NO: TO DOC NO IN DOCUMENT DETAILS TAB

#12 - 08/23/2024 01:12 PM - unnikannan S
ISSUE FOUNDED

1.FIXED - Show Print Pop Up Data List Wise
(Reffer Other Querys)

#13 - 09/21/2024 12:48 PM - Bertin Joseph
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 09/28/2024 04:18 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI ENHANCEMENT

The search pop up should be disabled and after clicking search button and data appears the search button should change to reset button.

DONE - Pop Up-Ul set as Shared module

#15 - 10/10/2024 01:49 PM - Bertin Joseph
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#16 - 10/10/2024 03:02 PM - unnikannan S

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Arathy PS to unnikannan S

ISSUE FOUNDED

1)FIXED - Freeze The Cheque No Field In Search Pop Up After Shown Data
2)FIXED - Correct The Search Pop Up Alignment Refer(Received Cheque Query)
3)(Requires data to be received from Bank Reconciliation) - Show Clear Date,Reco No In Ul

#17 - 10/17/2024 09:43 AM - Bertin Joseph
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 10/25/2024 11:08 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50
#19 - 10/25/2024 03:52 PM - Theja Ponon
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#20 - 10/25/2024 03:53 PM - Theja Ponon
- Status changed from Coding Done to Reopen Bugs Coding Done
- % Done changed from 60 to 70

#21 - 11/12/2024 03:41 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#22 - 12/11/2024 09:41 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1.Reco details not get removed after removing the cheque from reco document.--need to fix bank reconcillation module

#23 - 12/11/2024 05:49 PM - Arathy PS

- Assignee changed from Bertin Joseph to Sreeranjini T

#24 - 12/12/2024 10:45 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#25 - 12/13/2024 04:39 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#26 - 01/08/2025 04:25 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add redirection to the cheque no: and related documents in document tab.

#27 - 01/08/2025 06:44 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#28 - 01/11/2025 12:28 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#29 - 02/20/2025 11:25 AM - Arathy PS
- Status changed from New Changes Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

1. Add a new drop down label near the search field and in the drop down show NO:, Date, Issued bank (Doc no:, Doc date, Amount) of how many
cheques are there with same cheque no:

#30 - 02/26/2025 09:36 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#31 - 02/27/2025 11:55 AM - Theja Ponon
- File clipboard-202502271154-kdfpk.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Fixed

1)on searching

Error converting value {null} to type ‘System.DateTime'. Path 'mdIPaidChequeQuery.datCheque’, line 1, position 370. X

Cheque No™ | 01 a Status:

General | Documents  Log

Cheque No Current Status
Cheque Date Issued Bank
Cheque Book No Name On Cheque
Currency Clear Date
Amount Reconciliation No
FOP Account Direct Deposit
Expected Cleared Date

Root Dac Root Doc Date
Party Branch

Sub Customer Cash Counter
Reot Cheque Status Created By

Remark

#32 - 02/28/2025 09:42 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#33 - 03/11/2025 02:02 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. No data appearing in log tab (two same cheque no: with different banks-no log for both of them)
2. Data of other cheque (with same cheque no: but different bank) is also showing in the document tab.

#34 - 03/17/2025 10:10 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 03/22/2025 12:53 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1.FIXED - No redirection from cheque no: when the document is reconciled.
2.FIXED- Reco no: is showing for document that doesn't have reconciliation done - Need to fix from payment

#36 - 03/25/2025 10:11 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 03/25/2025 04:03 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue fixed

1)In the cheque search popup data will generate without checking the branch

#38 - 03/27/2025 09:47 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 03/27/2025 04:36 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Fixed

1)Date is not showing in log tab

#40 - 03/27/2025 06:29 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 03/28/2025 11:47 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90
